Datagraph Matches
Query the datagraph optimised for typeahead scenarios. This endpoint is only active when a `SEARCH_PROVIDER` that supports fast access is used. This includes providers such as Bleve and Redis. This endpoint will return a minified set of results directly from the configured search index, without hitting the database. This makes it suitable for performance sensitive use-cases such as type-ahead search, @ mentioning threads/pages, CTRL+K style menus, and more. Results will include a `kind` field and short content, but will not contain graph edges (such as authorship, links, etc.) due to constraints of the underlying search index and to keep payload sizes smaller.
Query the datagraph optimised for typeahead scenarios. This endpoint is
only active when a SEARCH_PROVIDER that supports fast access is used.
This includes providers such as Bleve and Redis.
This endpoint will return a minified set of results directly from the configured search index, without hitting the database. This makes it suitable for performance sensitive use-cases such as type-ahead search, @ mentioning threads/pages, CTRL+K style menus, and more.
Results will include a kind field and short content, but will not
contain graph edges (such as authorship, links, etc.) due to constraints
of the underlying search index and to keep payload sizes smaller.
storyden-session<token>q*stringSearch query string.
0 <= lengthkind?array<>Datagraph item kind query.
Search results.
application/json- response
items*array<>curl -X GET 'https://example.com/api/datagraph/matches?q=string'{ "items": [ { "id": "string", "kind": "post", "slug": "string", "name": "string", "description": "string" } ]}Link List GET
List links with paginated search. Text searches match titles, descriptions, and URLs. URL and domain searches match HTTP and HTTPS forms with or without www, while distinguishing different hostnames. Search does not create or refresh links. Requires View Links permission.
Datagraph Search GET
Query and search content.